# $Revision: 1.62 $, $Date: 2008/12/19 08:49:29 $
#
# todo:
# - zope adapter
# - lib64 patch
#
# WARNING! Please note, that mx.DateTime is optional. You can use
# mx.DateTime with your apps, but other see datetime datatype more
# suitable for date and time as it is standard in Python.

# Version 2.0.8 builds well with both datetime and mx.DateTime 
# By default uses datetime
# If sb really needs version _without_ mx pls do it on your own
# with without_mx bcond

%define 	module	psycopg2

Summary:	psycopg is a PostgreSQL database adapter for Python
Summary(pl.UTF-8):	psycopg jest przeznaczonym dla Pythona interfejsem do bazy PostgreSQL
Name:		python-%{module}
Version:	2.0.8
Release:	3
License:	GPL
Group:		Libraries/Python
Source0:	http://initd.org/pub/software/psycopg/%{module}-%{version}.tar.gz
# Source0-md5:	2c31827878d436b0c89e777989ff55af
#Patch0:		%{name}-lib64.patch
URL:		http://www.initd.org/software/psycopg/
BuildRequires:	autoconf
BuildRequires:	postgresql-backend-devel
BuildRequires:	postgresql-devel
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	python-mx-DateTime-devel
Requires:	python-mx-DateTime
Requires:	postgresql-libs
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define zope_subname ZPsycopgDA

%description
psycopg is a PostgreSQL database adapter for the Python programming
language (just like pygresql and popy.) It was written from scratch
with the aim of being very small and fast, and stable as a rock. The
main advantages of psycopg are that it supports the full Python
DBAPI-2.0 and being thread safe at level 2.

%description -l pl.UTF-8
psycopg jest przeznaczonym dla Pythona interfejsem do bazy danych
PostgreSQL (tak jak pygresql i popy). Został zakodowany od początku
z założeniem że ma być bardzo mały, szybki i stabilny. Główna zaletą
psycopg jest, że w jest pełni zgodny z standardem DBAPI-2.0 i jest
'thread safe' na poziomie 2.

%package -n Zope-%{zope_subname}
Summary:	Zope PostgreSQL database adapter
Summary(pl.UTF-8):	Interfejs bazy danych PostgreSQL do Zope
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
Requires:	Zope

%description -n Zope-%{zope_subname}
Zope PostgreSQL database adapter.

%description -n Zope-%{zope_subname} -l pl.UTF-8
Interfejs bazy danych PostgreSQL do Zope.

%prep
%setup -q -n %{module}-%{version}
#%if "%{_lib}" == "lib64"
#%patch0 -p1
#%endif

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install --optimize=2 --root=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT%{py_libdir} -type f -name "*.py" | xargs rm

#install -d $RPM_BUILD_ROOT%{_datadir}/Zope-%{zope_subname}

#cp -ar %{zope_subname}/* $RPM_BUILD_ROOT%{_datadir}/Zope-%{zope_subname}
#%py_comp $RPM_BUILD_ROOT%{_datadir}/Zope-%{zope_subname}
#%py_ocomp $RPM_BUILD_ROOT%{_datadir}/Zope-%{zope_subname}
#rm -f $RPM_BUILD_ROOT%{_datadir}/Zope-%{zope_subname}/*.py

%clean
rm -rf $RPM_BUILD_ROOT

#%post -n Zope-%{zope_subname}
#/usr/sbin/installzopeproduct %{_datadir}/Zope-%{zope_subname} %{zope_subname}
#if [ -f /var/lock/subsys/zope ]; then
#	/etc/rc.d/init.d/zope restart >&2
#fi

#%postun -n Zope-%{zope_subname}
#if [ "$1" = "0" ]; then
#	/usr/sbin/installzopeproduct -d %{zope_subname} 
#	if [ -f /var/lock/subsys/zope ]; then
#		/etc/rc.d/init.d/zope restart >&2
#	fi
#fi

%files
%defattr(644,root,root,755)
%doc ChangeLog AUTHORS README doc/HACKING doc/SUCCESS doc/TODO
%dir %{py_sitedir}/%{module}
%attr(755,root,root) %{py_sitedir}/%{module}/*.so
%{py_sitedir}/%{module}/*.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitedir}/*.egg-info
%endif

#%files -n Zope-%{zope_subname}
#%defattr(644,root,root,755)
#%{_datadir}/Zope-%{zope_subname}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-psycopg2.spec,v $
Revision 1.62  2008/12/19 08:49:29  matkor
- Release 3. Killed nonworking mx bcond. Prepared for Ac.

Revision 1.61  2008/10/07 17:41:56  patrys
- rel 2

Revision 1.60  2008/09/17 18:08:33  twittner
- up to 2.0.8

Revision 1.59  2008/09/04 22:38:17  wrobell
- moved mx stuff into bcond (let's face it, datetime module introduced over
  5 years ago means that mx datetime is bloat now)
- egg info file added
- rel. 2

Revision 1.58  2008/04/15 08:28:09  patrys
- 2.0.7

Revision 1.57  2007-07-23 04:57:21  twittner
- up to 2.0.6

Revision 1.56  2007/04/12 14:12:59  beorn
- Maybe mx stuff is optional, but is required to build

Revision 1.55  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.54  2007/02/12 01:06:43  baggins
- converted to UTF-8

Revision 1.53  2006/12/08 18:28:01  wrobell
- rel. 6

Revision 1.52  2006/12/07 18:11:50  wrobell
- mx stuff is optional
- rel. 5

Revision 1.51  2006/12/07 15:48:00  zboczuch
- (B)R += python-mx-DateTime(-devel)

Revision 1.50  2006/12/07 11:07:44  wrobell
- rel. 3 for postgresql 8.2.0

Revision 1.49  2006/09/27 20:15:38  wrobell
- rel. 2 to rebuild with python 2.5 (final)

Revision 1.48  2006/09/02 14:13:20  wrobell
- ver. 2.0.5.1

Revision 1.47  2006/07/31 13:20:55  charles
- updated to 2.0.3
- BR: rpm-pythonprov

Revision 1.46  2006/06/23 10:28:07  qboosh
- unified

Revision 1.45  2006/06/21 12:36:32  wrobell
- ver. 2.0.2

Revision 1.44  2006/06/21 11:45:38  wrobell
- copied from python-psycopg.spec (on server side) and merged from DEVEL

Revision 1.43  2005/11/14 12:12:57  qboosh
- BR: rpm-pythonprov, removed second BuildRoot

Revision 1.42  2005/10/02 15:47:06  twittner
- up to 1.1.21

Revision 1.41  2005/09/12 19:25:40  twittner
- up to 1.1.20

Revision 1.40  2005/07/23 17:35:17  saq
- rel 2 (lib64.patch update pending from previous upgrade)

Revision 1.39  2005/07/23 15:12:43  saq
- up to 1.1.19

Revision 1.38  2005/02/07 17:23:54  wrobell
- ver. 1.1.18

Revision 1.37  2004/12/12 21:18:19  saq
- up to 1.1.17

Revision 1.36.2.10  2006/05/29 09:17:35  wrobell
- ver. 2.0 beta 8

Revision 1.36.2.9  2005/11/11 16:46:32  wrobell
- ver. 2.0 beta5

Revision 1.36.2.8  2005/05/26 00:09:04  wrobell
- ver. 2.0 beta2

Revision 1.36.2.7  2005/05/10 02:01:31  wrobell
- 2.0 beta1

Revision 1.36.2.6  2005/03/17 05:51:41  wrobell
- ver. 1.99.13

Revision 1.36.2.5  2004/12/20 06:04:30  wrobell
- ver. 1.99.11

Revision 1.36.2.4  2004/11/08 15:38:49  wrobell
- added missing directory

Revision 1.36.2.3  2004/11/08 14:55:26  wrobell
- ver. 1.99.10

Revision 1.36.2.2  2004/09/17 13:16:49  wrobell
- ver. 1.99.9

Revision 1.36.2.1  2004/09/05 11:50:02  wrobell
- ver. 1.99.8

Revision 1.36  2004/08/30 07:45:54  zboczuch
- stable release 1.1.15
- BR += postgresql-devel

Revision 1.35  2004/08/26 12:50:50  qboosh
- strict dep

Revision 1.34  2004/07/28 08:03:17  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.33  2004/05/26 21:15:22  ankry
- capitalization, tabs, other cosmetics

Revision 1.32  2004/05/25 06:20:15  wrobell
- ver. 1.1.13

Revision 1.31  2004/02/18 11:01:28  jajcus
- Release: 2.1
- lib64 patch (to build on AMD64)

Revision 1.30  2004/01/01 01:46:33  matkor
- Ver 1.1.11. Rel 1. Happy New Year ;)

Revision 1.29  2003/12/01 23:57:30  matkor
- Release 3. Ac rebuild with changed Pythons ABI.

Revision 1.28  2003/11/16 16:52:08  jajcus
- install ZPsycopgDA in %{_datadir}/Zope-ZPsycopgDA
- installzopeproduct in %post/%postun of ZPsycopgDA

Revision 1.27  2003/11/11 11:24:10  qboosh
- BR: autoconf

Revision 1.26  2003/11/09 17:44:31  matkor
- Release back to 2. Sorry , wrong branch.

Revision 1.25  2003/11/09 17:42:44  matkor
- Version 1.1.10. Release 1. STBR for Ra

Revision 1.24  2003/11/09 17:32:34  wrobell
- rel. 2

Revision 1.23  2003/11/09 17:32:13  wrobell
- do not change the architecture of package

Revision 1.22  2003/11/09 16:46:55  wrobell
- ver 1.1.10

Revision 1.21  2003/10/30 13:27:53  jajcus
- Zope database adapter added (Zope-ZPsycopgDA package)

Revision 1.20  2003/10/12 17:15:09  blues
- reverted (IMO now it's worse...)

Revision 1.19  2003/10/12 16:39:04  blues
- cosmetics

Revision 1.18  2003/10/03 11:23:21  matkor
- Dumb-bump to release 2. (Ra has release 1). STBR for Ra.

Revision 1.17  2003/09/24 23:37:50  wrobell
- ver. 1.1.9

Revision 1.16  2003/08/03 17:30:20  wrobell
- ver. 1.1.8

Revision 1.15  2003/07/28 10:51:06  wrobell
- ver. 1.1.7

Revision 1.14  2003/07/25 09:22:31  wrobell
- fixed install requirements
- rel. 1

Revision 1.13  2003/07/22 08:16:47  matkor
- Version 1.1.6. Not tested.

Revision 1.12  2003/06/23 16:03:53  matkor
- Version 1.1.5.1. STBR for Ra.

Revision 1.11  2003/05/28 13:01:30  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:26:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/03/22 21:07:47  matkor
- Version 1.1.2.

Revision 1.8  2003/02/24 14:07:52  matkor
- Version 1.0.15.1.

Revision 1.7  2002/12/04 23:54:10  matkor
- Version 1.0.13. Rebuild for Ra-whatever pls.

Revision 1.6  2002/11/21 10:04:37  wrobell
- rel. 1

Revision 1.5  2002/10/18 13:04:57  wrobell
- egenix datetime extension header files are in %%{py_incdir}/mx directory

Revision 1.4  2002/10/18 12:10:18  matkor
- Requires: python-mx-DateTime.

Revision 1.3  2002/10/17 13:22:09  wrobell
- group changed to Libraries/Python

Revision 1.2  2002/10/17 12:49:40  qboosh
- cleanups

Revision 1.1  2002/10/14 23:40:00  matkor
- Version 1.0.12
- TODO: Make real patch fixing ac/am. I just commented out part.
